#!/bin/sh

# Touch screen
if [ -c /dev/ts ]; then rm /dev/ts; fi
if [ -c /dev/ts_raw ]; then rm /dev/ts_raw; fi

version="$(uname -r)"

## Conditionals
case "$version" in
	2.4*)
		mknod /dev/ts c 11 0
		mknod /dev/ts_raw c 11 1
		;;
	2.6*)
		mknod /dev/ts c 13 128
		mknod /dev/ts_raw c 13 144
		if [ ! -d /sys ]; then
			mkdir /sys
			mount -t sysfs none /sys
		fi
esac

if [ -b /dev/mmc1 ]; then rm /dev/mmc1; fi
case "$version" in
	2.4*|2.6.1*|2.6.21)
		mknod /dev/mmc1 b 241 1
		;;
	*)
		mknod /dev/mmc1 b 179 1
		;;
esac
